<?php
	//Incluimos las funciones
	//include("../../comunes/funciones.php");
	//cargar_configuracion();
	$pathinfo = pathinfo($_SERVER['PHP_SELF']);
	$extension = $pathinfo['extension'];
	ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
	include("pre.php");
	
	$conexionBD = dame_valor_variable_global("conexionBD", false);
	$articulo = dame_valor_variable_global("articulo", 0);
	$accion = dame_valor_variable_global("accion", 0);
	if ( ($articulo > 0) && ($accion > 0) ){
		if ($conexionBD){
			//Según la acción a realizar hacemos una cosa u otra
			if ($accion == 1){
				//Lo ponemos como pendiente
				$sentencia_sql = "UPDATE articulo SET pendiente_envio_suscripcion = 1 WHERE codigo = $articulo";
			}else if ($accion == 2){
				//Lo ponemos como no pendiente
				$sentencia_sql = "UPDATE articulo SET pendiente_envio_suscripcion = 0 WHERE codigo = $articulo";
			}
			if ($resultado_suscripcion = mysqli_query($conexionBD, $sentencia_sql)){
				echo("CORRECTO");
			}else{
				echo("ERROR AL REALIZAR LA CONSULTA");
			}
		}	
	}else{
		echo("PAR&Aacute;METROS INCORRECTOS");
	}
?>